Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.businessrefinery.barcodereader.pdf417
Class PDF417Data

    java.lang.Object
      com.businessrefinery.barcodereader.pdf417.PDF417Data

    public class PDF417Data

extends java.lang.Object

this class object contains data after reading pdf417 image

Field Summary
`static int` | `MACROPDF_ADRESSEE`
`static int` | `MACROPDF_CHECKSUM`
`static int` | `MACROPDF_FILEID`
`static int` | `MACROPDF_FILENAME`
`static int` | `MACROPDF_FILESIZE`
`static int` | `MACROPDF_SEGMENT`
`static int` | `MACROPDF_SEGMENT_COUNT`
`static int` | `MACROPDF_SENDER`
`static int` | `MACROPDF_TIMESTAMP`

Constructor Summary
`PDF417Data(int[] v, int x, int y, java.lang.Object[] fields, int errorsDetected, int level)`

Method Summary
`int` | `getConfidence()` 0 means no error has been deteced.
`int` | `getEClevel()` return maximum number of errors that can be corrected
`java.lang.Object` | `getMacroPDFField(int f)` return value of a macro pdf field.
`int[]` | `getValue()` scanned value.
`int` | `getX()` position of the barcode in the image
`int` | `getY()` position of the barcode in the image
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MACROPDF_SEGMENT

    public static int MACROPDF_SEGMENT

### MACROPDF_FILEID

    public static int MACROPDF_FILEID

### MACROPDF_FILENAME

    public static int MACROPDF_FILENAME

### MACROPDF_SEGMENT_COUNT

    public static int MACROPDF_SEGMENT_COUNT

### MACROPDF_TIMESTAMP

    public static int MACROPDF_TIMESTAMP

### MACROPDF_SENDER

    public static int MACROPDF_SENDER

### MACROPDF_ADRESSEE

    public static int MACROPDF_ADRESSEE

### MACROPDF_FILESIZE

    public static int MACROPDF_FILESIZE

### MACROPDF_CHECKSUM

    public static int MACROPDF_CHECKSUM

Constructor Detail

### PDF417Data

    public PDF417Data(int[] v,
                      int x,
                      int y,
                      java.lang.Object[] fields,
                      int errorsDetected,
                      int level)

Method Detail

### getConfidence

    public int getConfidence()

  0 means no error has been deteced.

### getEClevel

    public int getEClevel()

  return maximum number of errors that can be corrected

### getMacroPDFField

    public java.lang.Object getMacroPDFField(int f)

  return value of a macro pdf field.

### getValue

    public int[] getValue()

  scanned value.

### getX

    public int getX()

  position of the barcode in the image

### getY

    public int getY()

  position of the barcode in the image

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD